過去ログ表示


過去ログ 218 を表示

トピック内全 2 記事中の 1 〜 2 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

(環境: WinXP SP2/Firefox2.0RC2)

2006/10/21(Sat) 22:53:21 編集(投稿者)

>>34555 への返信ですが、目立つように件名を変えて、あえてスレッドも切っておきます。
まず、Flash 8.0.24.0 かそれ以前をお使いの方は >>34555 にもあるように、バージョンアップしましょう。
追記: about:plugins では Shockwave Flash 8.0 r24 等と表示されます。

> http://www.adobe.com/shockwave/download/download.cgi?P5_Language=Japanese&Lang=Japanese&P1_Prod_Version=ShockwaveFlash&Lang=Japanese
>
> 上記 URI を表示したブラウザに応じたダウンロード画面になります。
> したがって、Firefox で表示しダウンロードするファイルは
> Firefox / Opera 用で、それをインストールすると、
> Firefox 用と Opera 用の Flash Player はバージョンアップされます

ってことですが、Flash のバージョンアップ直後に、正しくバージョンアップされたか Flash のバージョンを確認するのはもちろんのこと、
それだけでなく、その後 Firefox を入れなおした場合等も、Flash のバージョンを確認しなおしたほうが良いかもしれません。


私のところでは、3月だったかに 8.0.22.0 に脆弱性が見つかった際に 8.0.24.0 を入れたのですが、
それは C:\Program Files\Mozilla Firefox\plugins と C:\WINDOWS\SYSTEM32\Macromed\Flash\ の 2箇所にインストールされていました。
しかし昨日、Adobe からインストーラをダウンロードして実行したら、前者の方は確かに 9.0.16.0 にバージョンアップされたのですが、後者の方は 8.0.24.0 のままでした。
この状態で Flash のバージョンをチェックすれば確かに 9.0.16.0 なのですが、C:\Program Files\Mozilla Firefox\ をきれいに削除してから Firefox を入れなおすと、C:\WINDOWS\SYSTEM32\Macromed\Flash\ の方が使われて 8.0.24.0 になってしまいます。

半年以上前の話なので記憶が不確かなのと、今となっては再現試験ができないので自信はありませんが、
8.0.24.0 はおそらく Macromedia や Adobe からインストーラをダウンロードして実行したのではなく、Flash が入っていない状態で Firefox で Flash を見ようとすると、「ここをクリックするとインストールできます」だったか、そんなようなのが現れてインストールできるやつでインストールしたものだったと思います。
(「今となっては再現試験ができない」理由は、これでインストールすると
http://fpdownload.macromedia.com/get/flashplayer/xpi/current/flashplayer-win.xpi
がインストールされるのですが、既に 9.0.16.0 で上書きされていて、これの 8.0.24.0 が手に入らないため。
どこかにまだあるんだったら、誰か教えてください^^;)

IE版も更新した方が良いかも
(#34571) このトピック中2番目の投稿
(環境: WinXP SP2/Firefox1.5)

2006/10/21(Sat) 22:41:18 編集(投稿者)

確認した訳ではありませんが、Firefox を主に使う人でも IE の方の flash プラグインも更新しておく必要はあるかもしれません。

Mozilla Japan ナレッジベース - Flash Player の更新に関する注意喚起
http://www.mozilla-japan.org/kb/solution/2092


このトピックの全ページ / [0]

返信不可


- Child Tree -